petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscOptionsLeftGet

Returns all options that were set and never used.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsLeftGet(PetscOptions options,PetscInt *N,char **names[],char **values[])

Not Collective

### Input Parameter

options -options database, use NULL for default global database

### Output Parameter

N -count of options not used
names -names of options not used
values -values of options not used

### Notes

Users should call PetscOptionsLeftRestore() to free the memory allocated in this routine

### See Also

PetscOptionsAllUsed(), PetscOptionsLeft()

### Level

advanced

### Location

src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages